/*
    CustomTerrainManipulator class

    An OpenSceneGraph viewer for pyVolution .sww files.
    copyright (C) 2004 Geoscience Australia
*/

#include <iostream>
#include "customterrainmanipulator.h"


void CustomTerrainManipulator::moveToHome()
{
    computePosition( _homeEye, _homeCenter, _homeUp );
}


bool CustomTerrainManipulator::handle( const osgGA::GUIEventAdapter &ea, osgGA::GUIActionAdapter &us )
{
    if( _disabled )
	return false;
    else
    {
	// std::cout << "customterrainmanipulator active" << std::endl;
	return osgGA::TerrainManipulator::handle( ea, us );
    }
}

